#!/bin/bash

# https://quay.io/organization/toolbx-images

podman run -d --privileged \
  --hostname=pod-debian-sid \
  --volume=${HOME}:/root \
  --name=debian-sid-dev \
  --systemd=true quay.io/toolbx-images/debian-toolbox \
  /sbin/init

podman exec --env POD_PATH=$(pwd | sed "s|${HOME}|/root|") -t debian-sid-dev /bin/bash -c 'apt-get update;apt-get upgrade -y;apt-get install -y iputils-ping devscripts dh-make'
